<h1 id="jsmacros">jsMacros</h1>
<p>!Be advised that you are using any of this at your own risk!</p>
<p>!Code added into the HTML or markdown file might be executed maliciously!</p>
<p>A few simple scripts to enhance the experience in the internet:</p>
<h3 id="how-to-add-own-stuff">How to add own stuff:</h3>
<ol>
<li><p>create a new feature branch</p>
</li>
<li><p>add a file &quot;yourfeature.js&quot;</p>
</li>
<li><p>add feature info to the <code>inputFiles</code> array in &quot;generate.js&quot; according to this format</p>
</li>
</ol>
<p><code>{title: &quot;name&quot;, description: &quot;a meaningful description&quot;, file: &quot;./filename.js&quot;}</code></p>
<ol start="4">
<li><p>run <code>node generate.js</code></p>
</li>
<li><p>test it you can easily access the Bookmarklets here:</p>
</li>
</ol>
<pre><code>file:///path-to-repo/macros.html
</code></pre>
<ol start="7">
<li><p>commit and push the changes</p>
</li>
<li><p>create a merge request</p>
</li>
</ol>
<h3 id="keep-in-mind-while-creating-new-bookmarklets">keep in mind while creating new bookmarklets</h3>
<ol>
<li><code>// comment</code> will be replaced with <code>/*comment*/</code>. Keep this in mind while using urls like &quot;http://&quot;</li>
</ol>
<h1 id="the-bookmarklets">The Bookmarklets</h1>
<h2 id="hello-world---bookmarklet"><a href="javascript:(function()%7B%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%22%68%69%69%69%69%22%29%3b%20%61%6c%65%72%74%28%22%48%65%6c%6c%6f%20%57%6f%72%6c%64%22%29%3b%7D)()">Hello World - Bookmarklet</a></h2>
<pre><code>javascript:(function(){%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%22%68%69%69%69%69%22%29%3b%20%61%6c%65%72%74%28%22%48%65%6c%6c%6f%20%57%6f%72%6c%64%22%29%3b})()
</code></pre>
<p>it will greet the world</p>
<h2 id="moa-speed"><a href="javascript:(function()%7B%76%61%72%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%6e%75%6c%6c%3b%20%20%66%75%6e%63%74%69%6f%6e%20%72%75%6e%47%4f%65%78%65%63%75%74%65%31%32%33%31%33%31%33%28%29%20%7b%20%20%20%20%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%77%69%6e%64%6f%77%2e%70%72%6f%6d%70%74%28%60%77%68%61%74%20%73%70%65%65%64%20%64%6f%20%79%6f%75%20%77%61%6e%74%3f%20%28%6f%6e%6c%79%20%6e%75%6d%65%72%69%63%20%76%61%6c%75%65%73%29%60%2c%20%32%2e%35%29%3b%20%20%20%20%20%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%60%6f%75%74%70%75%74%3a%20%22%24%7b%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%7d%22%60%29%3b%20%20%20%20%20%69%66%20%28%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%3d%20%22%65%78%69%74%22%20%7c%7c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%3d%20%22%22%20%7c%7c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%3d%20%6e%75%6c%6c%29%20%72%65%74%75%72%6e%3b%20%20%20%20%20%77%68%69%6c%65%20%28%69%73%4e%61%4e%28%70%61%72%73%65%49%6e%74%28%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%29%20%7c%7c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%3d%20%30%29%20%7b%20%20%20%20%20%20%20%20%20%61%6c%65%72%74%28%60%75%6e%61%62%6c%65%20%74%6f%20%73%65%74%20%73%70%65%65%64%20%74%6f%20%20%24%7b%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%7d%2c%20%6e%6f%6e%2d%6e%75%6d%65%72%69%63%20%76%61%6c%75%65%60%29%3b%20%20%20%20%20%20%20%20%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%77%69%6e%64%6f%77%2e%70%72%6f%6d%70%74%28%60%77%68%61%74%20%73%70%65%65%64%20%64%6f%20%79%6f%75%20%77%61%6e%74%3f%20%28%6f%6e%6c%79%20%6e%75%6d%65%72%69%63%20%76%61%6c%75%65%73%20%61%73%20%6d%75%6c%74%69%70%6c%65%73%20%6f%66%20%73%74%61%6e%64%61%72%64%20%73%70%65%65%64%29%60%2c%20%33%29%3b%20%20%20%20%20%7d%20%20%20%20%20%76%61%72%20%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%66%61%6c%73%65%3b%20%20%20%20%20%69%66%20%28%77%69%6e%64%6f%77%2e%63%6f%6e%66%69%72%6d%28%60%44%6f%20%79%6f%75%20%77%61%6e%74%20%73%6c%6f%77%20%73%74%65%70%73%3f%60%29%29%20%7b%20%20%20%20%20%20%20%20%20%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%30%2e%31%3b%20%20%20%20%20%7d%20%20%20%20%20%20%69%6e%63%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%2c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%7d%20%20%66%75%6e%63%74%69%6f%6e%20%69%6e%63%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%2c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%20%7b%20%20%20%20%20%69%66%20%28%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%60%76%69%64%65%6f%60%29%2e%6c%65%6e%67%74%68%20%3c%3d%20%30%29%20%7b%20%20%20%20%20%20%20%20%20%61%6c%65%72%74%28%22%6e%6f%20%76%69%64%65%6f%20%65%6c%65%6d%65%6e%74%20%66%6f%75%6e%64%22%29%3b%20%20%20%20%20%20%20%20%20%72%65%74%75%72%6e%3b%20%20%20%20%20%7d%20%20%20%20%20%20%69%66%20%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%21%3d%20%66%61%6c%73%65%29%20%7b%20%20%20%20%20%20%20%20%20%61%64%64%56%69%64%65%6f%73%53%70%65%65%64%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%20%20%20%20%20%20%20%20%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%60%73%70%65%65%64%20%69%73%20%6e%6f%77%3a%20%24%7b%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%27%76%69%64%65%6f%27%29%5b%30%5d%2e%70%6c%61%79%62%61%63%6b%52%61%74%65%7d%60%29%3b%20%20%20%20%20%20%20%20%20%69%66%20%28%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%60%76%69%64%65%6f%60%29%5b%30%5d%2e%70%6c%61%79%62%61%63%6b%52%61%74%65%20%3e%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%73%65%74%56%69%64%65%6f%73%53%70%65%65%64%28%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%73%70%65%65%64%4c%6f%6f%70%46%69%6e%69%73%68%65%64%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%74%72%75%65%3b%20%20%20%20%20%20%20%20%20%7d%20%65%6c%73%65%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%73%65%74%54%69%6d%65%6f%75%74%28%28%29%20%3d%3e%20%7b%20%69%6e%63%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%2c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%7d%2c%20%36%30%30%30%29%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%7d%20%65%6c%73%65%20%7b%20%20%20%20%20%20%20%20%20%73%65%74%56%69%64%65%6f%73%53%70%65%65%64%28%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%20%20%20%20%7d%20%7d%20%20%66%75%6e%63%74%69%6f%6e%20%73%65%74%56%69%64%65%6f%73%53%70%65%65%64%28%73%70%65%65%64%29%20%7b%20%20%20%20%20%63%6f%6e%73%74%20%76%69%64%73%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%60%76%69%64%65%6f%60%29%3b%20%20%20%20%20%66%6f%72%20%28%6c%65%74%20%69%20%3d%20%30%3b%20%69%20%3c%20%76%69%64%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%76%69%64%73%5b%69%5d%2e%70%6c%61%79%62%61%63%6b%52%61%74%65%20%3d%20%73%70%65%65%64%3b%20%20%20%20%20%7d%20%7d%20%20%66%75%6e%63%74%69%6f%6e%20%61%64%64%56%69%64%65%6f%73%53%70%65%65%64%28%69%6e%63%72%65%6d%65%6e%74%29%20%7b%20%20%20%20%20%63%6f%6e%73%74%20%76%69%64%73%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%60%76%69%64%65%6f%60%29%3b%20%20%20%20%20%66%6f%72%20%28%6c%65%74%20%69%20%3d%20%30%3b%20%69%20%3c%20%76%69%64%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%76%69%64%73%5b%69%5d%2e%70%6c%61%79%62%61%63%6b%52%61%74%65%20%2b%3d%20%69%6e%63%72%65%6d%65%6e%74%3b%20%20%20%20%20%7d%20%7d%20%20%72%75%6e%47%4f%65%78%65%63%75%74%65%31%32%33%31%33%31%33%28%29%7D)()">moa speed</a></h2>
<pre><code>javascript:(function(){%76%61%72%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%6e%75%6c%6c%3b%20%20%66%75%6e%63%74%69%6f%6e%20%72%75%6e%47%4f%65%78%65%63%75%74%65%31%32%33%31%33%31%33%28%29%20%7b%20%20%20%20%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%77%69%6e%64%6f%77%2e%70%72%6f%6d%70%74%28%60%77%68%61%74%20%73%70%65%65%64%20%64%6f%20%79%6f%75%20%77%61%6e%74%3f%20%28%6f%6e%6c%79%20%6e%75%6d%65%72%69%63%20%76%61%6c%75%65%73%29%60%2c%20%32%2e%35%29%3b%20%20%20%20%20%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%60%6f%75%74%70%75%74%3a%20%22%24%7b%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%7d%22%60%29%3b%20%20%20%20%20%69%66%20%28%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%3d%20%22%65%78%69%74%22%20%7c%7c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%3d%20%22%22%20%7c%7c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%3d%20%6e%75%6c%6c%29%20%72%65%74%75%72%6e%3b%20%20%20%20%20%77%68%69%6c%65%20%28%69%73%4e%61%4e%28%70%61%72%73%65%49%6e%74%28%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%29%20%7c%7c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%3d%20%30%29%20%7b%20%20%20%20%20%20%20%20%20%61%6c%65%72%74%28%60%75%6e%61%62%6c%65%20%74%6f%20%73%65%74%20%73%70%65%65%64%20%74%6f%20%20%24%7b%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%7d%2c%20%6e%6f%6e%2d%6e%75%6d%65%72%69%63%20%76%61%6c%75%65%60%29%3b%20%20%20%20%20%20%20%20%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%77%69%6e%64%6f%77%2e%70%72%6f%6d%70%74%28%60%77%68%61%74%20%73%70%65%65%64%20%64%6f%20%79%6f%75%20%77%61%6e%74%3f%20%28%6f%6e%6c%79%20%6e%75%6d%65%72%69%63%20%76%61%6c%75%65%73%20%61%73%20%6d%75%6c%74%69%70%6c%65%73%20%6f%66%20%73%74%61%6e%64%61%72%64%20%73%70%65%65%64%29%60%2c%20%33%29%3b%20%20%20%20%20%7d%20%20%20%20%20%76%61%72%20%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%66%61%6c%73%65%3b%20%20%20%20%20%69%66%20%28%77%69%6e%64%6f%77%2e%63%6f%6e%66%69%72%6d%28%60%44%6f%20%79%6f%75%20%77%61%6e%74%20%73%6c%6f%77%20%73%74%65%70%73%3f%60%29%29%20%7b%20%20%20%20%20%20%20%20%20%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%30%2e%31%3b%20%20%20%20%20%7d%20%20%20%20%20%20%69%6e%63%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%2c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%7d%20%20%66%75%6e%63%74%69%6f%6e%20%69%6e%63%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%2c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%20%7b%20%20%20%20%20%69%66%20%28%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%60%76%69%64%65%6f%60%29%2e%6c%65%6e%67%74%68%20%3c%3d%20%30%29%20%7b%20%20%20%20%20%20%20%20%20%61%6c%65%72%74%28%22%6e%6f%20%76%69%64%65%6f%20%65%6c%65%6d%65%6e%74%20%66%6f%75%6e%64%22%29%3b%20%20%20%20%20%20%20%20%20%72%65%74%75%72%6e%3b%20%20%20%20%20%7d%20%20%20%20%20%20%69%66%20%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%21%3d%20%66%61%6c%73%65%29%20%7b%20%20%20%20%20%20%20%20%20%61%64%64%56%69%64%65%6f%73%53%70%65%65%64%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%20%20%20%20%20%20%20%20%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%60%73%70%65%65%64%20%69%73%20%6e%6f%77%3a%20%24%7b%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%27%76%69%64%65%6f%27%29%5b%30%5d%2e%70%6c%61%79%62%61%63%6b%52%61%74%65%7d%60%29%3b%20%20%20%20%20%20%20%20%20%69%66%20%28%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%60%76%69%64%65%6f%60%29%5b%30%5d%2e%70%6c%61%79%62%61%63%6b%52%61%74%65%20%3e%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%73%65%74%56%69%64%65%6f%73%53%70%65%65%64%28%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%73%70%65%65%64%4c%6f%6f%70%46%69%6e%69%73%68%65%64%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%20%3d%20%74%72%75%65%3b%20%20%20%20%20%20%20%20%20%7d%20%65%6c%73%65%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%73%65%74%54%69%6d%65%6f%75%74%28%28%29%20%3d%3e%20%7b%20%69%6e%63%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%28%73%74%65%70%73%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%2c%20%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%7d%2c%20%36%30%30%30%29%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%7d%20%65%6c%73%65%20%7b%20%20%20%20%20%20%20%20%20%73%65%74%56%69%64%65%6f%73%53%70%65%65%64%28%6d%61%78%5f%66%72%6f%6d%63%6f%6f%6c%62%72%6f%77%73%65%72%6d%61%63%72%6f%73%29%3b%20%20%20%20%20%7d%20%7d%20%20%66%75%6e%63%74%69%6f%6e%20%73%65%74%56%69%64%65%6f%73%53%70%65%65%64%28%73%70%65%65%64%29%20%7b%20%20%20%20%20%63%6f%6e%73%74%20%76%69%64%73%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%60%76%69%64%65%6f%60%29%3b%20%20%20%20%20%66%6f%72%20%28%6c%65%74%20%69%20%3d%20%30%3b%20%69%20%3c%20%76%69%64%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%76%69%64%73%5b%69%5d%2e%70%6c%61%79%62%61%63%6b%52%61%74%65%20%3d%20%73%70%65%65%64%3b%20%20%20%20%20%7d%20%7d%20%20%66%75%6e%63%74%69%6f%6e%20%61%64%64%56%69%64%65%6f%73%53%70%65%65%64%28%69%6e%63%72%65%6d%65%6e%74%29%20%7b%20%20%20%20%20%63%6f%6e%73%74%20%76%69%64%73%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%60%76%69%64%65%6f%60%29%3b%20%20%20%20%20%66%6f%72%20%28%6c%65%74%20%69%20%3d%20%30%3b%20%69%20%3c%20%76%69%64%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%76%69%64%73%5b%69%5d%2e%70%6c%61%79%62%61%63%6b%52%61%74%65%20%2b%3d%20%69%6e%63%72%65%6d%65%6e%74%3b%20%20%20%20%20%7d%20%7d%20%20%72%75%6e%47%4f%65%78%65%63%75%74%65%31%32%33%31%33%31%33%28%29})()
</code></pre>
<p>provides options to increase video playbackRates -  be advised this is as much beta as it gets</p>
<h2 id="download-open-cast"><a href="javascript:(function()%7B%66%75%6e%63%74%69%6f%6e%20%67%65%74%56%69%64%65%6f%43%75%73%74%6f%6d%49%64%28%63%61%6c%6c%62%61%63%6b%29%20%7b%20%20%20%20%20%76%61%72%20%69%66%72%61%6d%65%73%72%63%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%22%69%66%72%61%6d%65%22%29%5b%30%5d%2e%73%72%63%3b%20%20%20%20%20%69%66%28%69%66%72%61%6d%65%73%72%63%2e%73%75%62%73%74%72%69%6e%67%28%69%66%72%61%6d%65%73%72%63%2e%6c%65%6e%67%74%68%20%2d%20%34%32%2c%20%69%66%72%61%6d%65%73%72%63%2e%6c%65%6e%67%74%68%20%2d%20%33%36%29%20%3d%3d%20%22%2f%70%6c%61%79%2f%22%29%20%20%20%20%20%20%20%20%20%72%65%74%75%72%6e%20%63%61%6c%6c%62%61%63%6b%28%60%68%74%74%70%73%3a%2f%60%20%2b%20%60%2f%65%6e%67%61%67%65%2e%73%74%72%65%61%6d%69%6e%67%2e%72%77%74%68%2d%61%61%63%68%65%6e%2e%64%65%2f%73%65%61%72%63%68%2f%65%70%69%73%6f%64%65%2e%6a%73%6f%6e%3f%69%64%3d%24%7b%69%66%72%61%6d%65%73%72%63%2e%73%75%62%73%74%72%69%6e%67%28%69%66%72%61%6d%65%73%72%63%2e%6c%65%6e%67%74%68%20%2d%20%33%36%29%7d%60%29%3b%20%20%20%20%20%76%61%72%20%72%65%71%20%3d%20%6e%65%77%20%58%4d%4c%48%74%74%70%52%65%71%75%65%73%74%28%29%3b%20%20%20%20%20%72%65%71%2e%6f%6e%6c%6f%61%64%20%3d%20%66%75%6e%63%74%69%6f%6e%20%28%29%20%7b%20%20%20%20%20%20%20%20%20%76%61%72%20%73%74%72%20%3d%20%74%68%69%73%2e%72%65%73%70%6f%6e%73%65%54%65%78%74%3b%20%20%20%20%20%20%20%20%20%76%61%72%20%75%72%6c%20%3d%20%60%68%74%74%70%73%3a%2f%60%20%2b%20%60%2f%65%6e%67%61%67%65%2e%73%74%72%65%61%6d%69%6e%67%2e%72%77%74%68%2d%61%61%63%68%65%6e%2e%64%65%2f%73%65%61%72%63%68%2f%65%70%69%73%6f%64%65%2e%6a%73%6f%6e%3f%69%64%3d%24%7b%73%74%72%2e%73%75%62%73%74%72%69%6e%67%28%73%74%72%2e%69%6e%64%65%78%4f%66%28%22%63%75%73%74%6f%6d%5f%69%64%22%29%2b%31%38%2c%20%73%74%72%2e%69%6e%64%65%78%4f%66%28%22%63%75%73%74%6f%6d%5f%69%64%22%29%2b%35%34%29%7d%60%3b%20%20%20%20%20%20%20%20%20%2f%2a%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%75%72%6c%29%3b%2a%2f%20%20%20%20%20%20%20%20%20%72%65%74%75%72%6e%20%63%61%6c%6c%62%61%63%6b%28%75%72%6c%29%3b%20%20%20%20%20%7d%3b%20%20%20%20%20%72%65%71%2e%6f%70%65%6e%28%22%67%65%74%22%2c%20%69%66%72%61%6d%65%73%72%63%2c%20%74%72%75%65%29%3b%20%20%20%20%20%72%65%71%2e%73%65%6e%64%28%29%3b%20%7d%20%20%66%75%6e%63%74%69%6f%6e%20%67%65%74%56%69%64%65%6f%44%69%72%65%63%74%55%72%6c%28%6a%73%6f%6e%55%72%6c%29%20%7b%20%20%20%20%20%20%76%61%72%20%72%65%71%20%3d%20%6e%65%77%20%58%4d%4c%48%74%74%70%52%65%71%75%65%73%74%28%29%3b%20%20%20%20%20%72%65%71%2e%6f%6e%6c%6f%61%64%20%3d%20%66%75%6e%63%74%69%6f%6e%20%28%29%20%7b%20%20%20%20%20%20%20%20%20%2f%2a%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%74%68%69%73%2e%72%65%73%70%6f%6e%73%65%54%65%78%74%29%3b%2a%2f%20%20%20%20%20%20%20%20%20%76%61%72%20%72%65%73%75%6c%74%20%3d%20%74%68%69%73%2e%72%65%73%70%6f%6e%73%65%54%65%78%74%3b%20%20%20%20%20%20%20%20%20%76%61%72%20%70%61%72%73%65%64%20%3d%20%4a%53%4f%4e%2e%70%61%72%73%65%28%72%65%73%75%6c%74%2e%72%65%70%6c%61%63%65%28%22%73%65%61%72%63%68%2d%72%65%73%75%6c%74%73%22%2c%22%73%65%61%72%63%68%72%65%73%75%6c%74%73%22%29%29%3b%20%20%20%20%20%20%20%20%20%76%61%72%20%74%72%61%63%6b%73%20%3d%20%70%61%72%73%65%64%2e%73%65%61%72%63%68%72%65%73%75%6c%74%73%2e%72%65%73%75%6c%74%2e%6d%65%64%69%61%70%61%63%6b%61%67%65%2e%6d%65%64%69%61%2e%74%72%61%63%6b%3b%20%20%20%20%20%20%20%20%20%76%61%72%20%70%6f%70%75%70%74%65%78%74%20%3d%20%60%3c%68%31%3e%24%7b%70%61%72%73%65%64%2e%73%65%61%72%63%68%72%65%73%75%6c%74%73%2e%72%65%73%75%6c%74%2e%6d%65%64%69%61%70%61%63%6b%61%67%65%2e%74%69%74%6c%65%7d%3c%2f%68%31%3e%3c%62%72%3e%60%3b%20%20%20%20%20%20%20%20%20%66%6f%72%28%6c%65%74%20%69%20%3d%20%30%3b%20%69%20%3c%20%74%72%61%63%6b%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%69%66%20%28%74%72%61%63%6b%73%5b%69%5d%2e%6d%69%6d%65%74%79%70%65%20%3d%3d%20%22%76%69%64%65%6f%2f%6d%70%34%22%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%69%66%20%28%4d%61%74%68%2e%66%6c%6f%6f%72%28%4d%61%74%68%2e%72%61%6e%64%6f%6d%28%29%20%2a%20%32%30%29%20%3d%3d%20%31%30%29%20%7b%20%2f%2a%20%72%69%63%6b%20%72%6f%6c%6c%20%77%69%74%68%20%31%2f%32%30%20%63%68%61%6e%63%65%2a%2f%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%70%6f%70%75%70%74%65%78%74%20%2b%3d%20%60%3c%61%20%68%72%65%66%3d%22%68%74%74%70%73%3a%2f%60%20%2b%20%60%2f%77%77%77%2e%79%6f%75%74%75%62%65%2e%63%6f%6d%2f%77%61%74%63%68%3f%76%3d%64%51%77%34%77%39%57%67%58%63%51%22%3e%24%7b%74%72%61%63%6b%73%5b%69%5d%2e%74%61%67%73%2e%74%61%67%5b%30%5d%7d%3c%2f%61%3e%3c%62%72%3e%60%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%70%6f%70%75%70%74%65%78%74%20%2b%3d%20%60%3c%61%20%68%72%65%66%3d%22%24%7b%74%72%61%63%6b%73%5b%69%5d%2e%75%72%6c%7d%22%20%64%6f%77%6e%6c%6f%61%64%3e%24%7b%74%72%61%63%6b%73%5b%69%5d%2e%74%61%67%73%2e%74%61%67%5b%30%5d%7d%3c%2f%61%3e%3c%62%72%3e%60%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%6e%65%77%50%6f%70%75%70%41%6c%65%72%74%28%70%6f%70%75%70%74%65%78%74%29%3b%20%20%20%20%20%20%7d%3b%20%20%20%20%20%72%65%71%2e%6f%70%65%6e%28%22%67%65%74%22%2c%20%6a%73%6f%6e%55%72%6c%2c%20%74%72%75%65%29%3b%20%20%20%20%20%72%65%71%2e%77%69%74%68%43%72%65%64%65%6e%74%69%61%6c%73%20%3d%20%74%72%75%65%3b%20%20%20%20%20%72%65%71%2e%73%65%6e%64%28%29%3b%20%7d%20%76%61%72%20%64%69%76%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%63%72%65%61%74%65%45%6c%65%6d%65%6e%74%28%22%64%69%76%22%29%3b%20%64%69%76%2e%63%6c%61%73%73%4c%69%73%74%2e%61%64%64%28%22%70%6f%70%75%70%73%70%61%63%65%22%29%3b%20%64%6f%63%75%6d%65%6e%74%2e%62%6f%64%79%2e%61%70%70%65%6e%64%43%68%69%6c%64%28%64%69%76%29%3b%20%64%69%76%2e%73%74%79%6c%65%20%3d%20%60%70%6f%73%69%74%69%6f%6e%3a%20%66%69%78%65%64%3b%20%20%20%20%20%72%69%67%68%74%3a%20%30%3b%20%20%20%20%20%62%6f%74%74%6f%6d%3a%20%30%3b%20%20%20%20%20%77%69%64%74%68%3a%20%30%70%78%3b%20%20%20%20%20%68%65%69%67%68%74%3a%20%30%70%78%3b%60%3b%20%67%65%74%56%69%64%65%6f%43%75%73%74%6f%6d%49%64%28%28%6a%73%6f%6e%55%72%6c%29%20%3d%3e%20%7b%67%65%74%56%69%64%65%6f%44%69%72%65%63%74%55%72%6c%28%6a%73%6f%6e%55%72%6c%29%7d%29%3b%20%20%66%75%6e%63%74%69%6f%6e%20%6e%65%77%50%6f%70%75%70%41%6c%65%72%74%28%74%65%78%74%29%20%7b%20%20%20%20%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%43%6c%61%73%73%4e%61%6d%65%28%22%70%6f%70%75%70%73%70%61%63%65%22%29%5b%30%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%3d%20%60%20%20%20%20%20%3c%64%69%76%20%69%64%3d%22%62%6c%75%72%62%61%63%6b%67%72%6f%75%6e%64%22%20%73%74%79%6c%65%3d%22%20%20%20%20%20%20%20%20%20%62%61%63%6b%67%72%6f%75%6e%64%2d%63%6f%6c%6f%72%3a%20%72%67%62%61%28%31%30%31%2c%20%31%39%34%2c%20%32%34%38%2c%20%30%2e%35%32%37%29%3b%20%20%20%20%20%20%20%20%20%64%69%73%70%6c%61%79%3a%20%66%6c%65%78%3b%20%20%20%20%20%20%20%20%20%6a%75%73%74%69%66%79%2d%63%6f%6e%74%65%6e%74%3a%20%63%65%6e%74%65%72%3b%20%20%20%20%20%20%20%20%20%66%6c%65%78%2d%77%72%61%70%3a%20%6e%6f%77%72%61%70%3b%20%20%20%20%20%20%20%20%20%66%6c%65%78%2d%64%69%72%65%63%74%69%6f%6e%3a%20%72%6f%77%3b%20%20%20%20%20%20%20%20%20%70%6f%73%69%74%69%6f%6e%3a%20%66%69%78%65%64%3b%20%20%20%20%20%20%20%20%20%6c%65%66%74%3a%20%30%3b%20%20%20%20%20%20%20%20%20%74%6f%70%3a%20%30%3b%20%20%20%20%20%20%20%20%20%7a%2d%69%6e%64%65%78%3a%20%36%3b%20%20%20%20%20%20%20%20%20%68%65%69%67%68%74%3a%20%31%30%30%25%3b%20%20%20%20%20%20%20%20%20%77%69%64%74%68%3a%20%31%30%30%25%3b%20%20%20%20%20%20%20%20%20%22%3e%20%20%20%20%20%20%20%20%20%3c%64%69%76%20%69%64%3d%22%70%6f%70%75%70%66%6c%65%78%63%6c%6d%22%20%73%74%79%6c%65%3d%22%20%20%20%20%20%20%20%20%20%20%20%20%20%64%69%73%70%6c%61%79%3a%20%66%6c%65%78%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%6a%75%73%74%69%66%79%2d%63%6f%6e%74%65%6e%74%3a%20%63%65%6e%74%65%72%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%66%6c%65%78%2d%64%69%72%65%63%74%69%6f%6e%3a%20%63%6f%6c%75%6d%6e%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%66%6c%65%78%2d%77%72%61%70%3a%20%6e%6f%77%72%61%70%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%68%65%69%67%68%74%3a%20%31%30%30%25%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%77%69%64%74%68%3a%20%33%30%30%70%78%3b%22%20%20%20%20%20%20%20%20%20%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%64%69%76%20%69%64%3d%27%70%6f%70%75%70%27%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%73%74%79%6c%65%3d%22%77%69%64%74%68%3a%20%33%30%30%70%78%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%68%65%69%67%68%74%3a%20%66%69%74%2d%63%6f%6e%74%65%6e%74%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%6f%72%64%65%72%3a%20%32%70%78%20%73%6f%6c%69%64%20%6c%69%67%68%74%67%72%61%79%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%74%65%78%74%2d%61%6c%69%67%6e%3a%20%63%65%6e%74%65%72%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%61%63%6b%67%72%6f%75%6e%64%2d%63%6f%6c%6f%72%3a%20%77%68%69%74%65%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%63%6f%6c%6f%72%3a%20%62%6c%61%63%6b%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%70%61%64%64%69%6e%67%2d%62%6f%74%74%6f%6d%3a%20%31%30%70%78%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%6f%72%64%65%72%2d%72%61%64%69%75%73%3a%20%36%70%78%3b%22%20%20%20%20%20%20%20%20%20%20%20%20%20%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%70%3e%24%7b%74%65%78%74%7d%3c%2f%70%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%62%72%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%62%75%74%74%6f%6e%20%6f%6e%63%6c%69%63%6b%3d%22%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%43%6c%61%73%73%4e%61%6d%65%28%27%70%6f%70%75%70%73%70%61%63%65%27%29%5b%30%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%3d%20%27%27%3b%22%20%69%64%3d%22%63%6c%6f%73%65%62%74%6e%22%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%73%74%79%6c%65%3d%22%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%61%63%6b%67%72%6f%75%6e%64%2d%63%6f%6c%6f%72%3a%20%23%31%61%37%33%65%38%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%63%6f%6c%6f%72%3a%20%77%68%69%74%65%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%6f%72%64%65%72%3a%20%6e%6f%6e%65%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%6f%72%64%65%72%2d%72%61%64%69%75%73%3a%20%33%70%78%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%70%61%64%64%69%6e%67%3a%20%35%70%78%3b%22%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%43%4c%4f%53%45%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%2f%62%75%74%74%6f%6e%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%2f%64%69%76%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%2f%64%69%76%3e%20%20%20%20%20%3c%2f%64%69%76%3e%60%3b%20%7d%20%20%7D)()">Download Open Cast</a></h2>
<pre><code>javascript:(function(){%66%75%6e%63%74%69%6f%6e%20%67%65%74%56%69%64%65%6f%43%75%73%74%6f%6d%49%64%28%63%61%6c%6c%62%61%63%6b%29%20%7b%20%20%20%20%20%76%61%72%20%69%66%72%61%6d%65%73%72%63%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%22%69%66%72%61%6d%65%22%29%5b%30%5d%2e%73%72%63%3b%20%20%20%20%20%69%66%28%69%66%72%61%6d%65%73%72%63%2e%73%75%62%73%74%72%69%6e%67%28%69%66%72%61%6d%65%73%72%63%2e%6c%65%6e%67%74%68%20%2d%20%34%32%2c%20%69%66%72%61%6d%65%73%72%63%2e%6c%65%6e%67%74%68%20%2d%20%33%36%29%20%3d%3d%20%22%2f%70%6c%61%79%2f%22%29%20%20%20%20%20%20%20%20%20%72%65%74%75%72%6e%20%63%61%6c%6c%62%61%63%6b%28%60%68%74%74%70%73%3a%2f%60%20%2b%20%60%2f%65%6e%67%61%67%65%2e%73%74%72%65%61%6d%69%6e%67%2e%72%77%74%68%2d%61%61%63%68%65%6e%2e%64%65%2f%73%65%61%72%63%68%2f%65%70%69%73%6f%64%65%2e%6a%73%6f%6e%3f%69%64%3d%24%7b%69%66%72%61%6d%65%73%72%63%2e%73%75%62%73%74%72%69%6e%67%28%69%66%72%61%6d%65%73%72%63%2e%6c%65%6e%67%74%68%20%2d%20%33%36%29%7d%60%29%3b%20%20%20%20%20%76%61%72%20%72%65%71%20%3d%20%6e%65%77%20%58%4d%4c%48%74%74%70%52%65%71%75%65%73%74%28%29%3b%20%20%20%20%20%72%65%71%2e%6f%6e%6c%6f%61%64%20%3d%20%66%75%6e%63%74%69%6f%6e%20%28%29%20%7b%20%20%20%20%20%20%20%20%20%76%61%72%20%73%74%72%20%3d%20%74%68%69%73%2e%72%65%73%70%6f%6e%73%65%54%65%78%74%3b%20%20%20%20%20%20%20%20%20%76%61%72%20%75%72%6c%20%3d%20%60%68%74%74%70%73%3a%2f%60%20%2b%20%60%2f%65%6e%67%61%67%65%2e%73%74%72%65%61%6d%69%6e%67%2e%72%77%74%68%2d%61%61%63%68%65%6e%2e%64%65%2f%73%65%61%72%63%68%2f%65%70%69%73%6f%64%65%2e%6a%73%6f%6e%3f%69%64%3d%24%7b%73%74%72%2e%73%75%62%73%74%72%69%6e%67%28%73%74%72%2e%69%6e%64%65%78%4f%66%28%22%63%75%73%74%6f%6d%5f%69%64%22%29%2b%31%38%2c%20%73%74%72%2e%69%6e%64%65%78%4f%66%28%22%63%75%73%74%6f%6d%5f%69%64%22%29%2b%35%34%29%7d%60%3b%20%20%20%20%20%20%20%20%20%2f%2a%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%75%72%6c%29%3b%2a%2f%20%20%20%20%20%20%20%20%20%72%65%74%75%72%6e%20%63%61%6c%6c%62%61%63%6b%28%75%72%6c%29%3b%20%20%20%20%20%7d%3b%20%20%20%20%20%72%65%71%2e%6f%70%65%6e%28%22%67%65%74%22%2c%20%69%66%72%61%6d%65%73%72%63%2c%20%74%72%75%65%29%3b%20%20%20%20%20%72%65%71%2e%73%65%6e%64%28%29%3b%20%7d%20%20%66%75%6e%63%74%69%6f%6e%20%67%65%74%56%69%64%65%6f%44%69%72%65%63%74%55%72%6c%28%6a%73%6f%6e%55%72%6c%29%20%7b%20%20%20%20%20%20%76%61%72%20%72%65%71%20%3d%20%6e%65%77%20%58%4d%4c%48%74%74%70%52%65%71%75%65%73%74%28%29%3b%20%20%20%20%20%72%65%71%2e%6f%6e%6c%6f%61%64%20%3d%20%66%75%6e%63%74%69%6f%6e%20%28%29%20%7b%20%20%20%20%20%20%20%20%20%2f%2a%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%74%68%69%73%2e%72%65%73%70%6f%6e%73%65%54%65%78%74%29%3b%2a%2f%20%20%20%20%20%20%20%20%20%76%61%72%20%72%65%73%75%6c%74%20%3d%20%74%68%69%73%2e%72%65%73%70%6f%6e%73%65%54%65%78%74%3b%20%20%20%20%20%20%20%20%20%76%61%72%20%70%61%72%73%65%64%20%3d%20%4a%53%4f%4e%2e%70%61%72%73%65%28%72%65%73%75%6c%74%2e%72%65%70%6c%61%63%65%28%22%73%65%61%72%63%68%2d%72%65%73%75%6c%74%73%22%2c%22%73%65%61%72%63%68%72%65%73%75%6c%74%73%22%29%29%3b%20%20%20%20%20%20%20%20%20%76%61%72%20%74%72%61%63%6b%73%20%3d%20%70%61%72%73%65%64%2e%73%65%61%72%63%68%72%65%73%75%6c%74%73%2e%72%65%73%75%6c%74%2e%6d%65%64%69%61%70%61%63%6b%61%67%65%2e%6d%65%64%69%61%2e%74%72%61%63%6b%3b%20%20%20%20%20%20%20%20%20%76%61%72%20%70%6f%70%75%70%74%65%78%74%20%3d%20%60%3c%68%31%3e%24%7b%70%61%72%73%65%64%2e%73%65%61%72%63%68%72%65%73%75%6c%74%73%2e%72%65%73%75%6c%74%2e%6d%65%64%69%61%70%61%63%6b%61%67%65%2e%74%69%74%6c%65%7d%3c%2f%68%31%3e%3c%62%72%3e%60%3b%20%20%20%20%20%20%20%20%20%66%6f%72%28%6c%65%74%20%69%20%3d%20%30%3b%20%69%20%3c%20%74%72%61%63%6b%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%69%66%20%28%74%72%61%63%6b%73%5b%69%5d%2e%6d%69%6d%65%74%79%70%65%20%3d%3d%20%22%76%69%64%65%6f%2f%6d%70%34%22%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%69%66%20%28%4d%61%74%68%2e%66%6c%6f%6f%72%28%4d%61%74%68%2e%72%61%6e%64%6f%6d%28%29%20%2a%20%32%30%29%20%3d%3d%20%31%30%29%20%7b%20%2f%2a%20%72%69%63%6b%20%72%6f%6c%6c%20%77%69%74%68%20%31%2f%32%30%20%63%68%61%6e%63%65%2a%2f%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%70%6f%70%75%70%74%65%78%74%20%2b%3d%20%60%3c%61%20%68%72%65%66%3d%22%68%74%74%70%73%3a%2f%60%20%2b%20%60%2f%77%77%77%2e%79%6f%75%74%75%62%65%2e%63%6f%6d%2f%77%61%74%63%68%3f%76%3d%64%51%77%34%77%39%57%67%58%63%51%22%3e%24%7b%74%72%61%63%6b%73%5b%69%5d%2e%74%61%67%73%2e%74%61%67%5b%30%5d%7d%3c%2f%61%3e%3c%62%72%3e%60%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%70%6f%70%75%70%74%65%78%74%20%2b%3d%20%60%3c%61%20%68%72%65%66%3d%22%24%7b%74%72%61%63%6b%73%5b%69%5d%2e%75%72%6c%7d%22%20%64%6f%77%6e%6c%6f%61%64%3e%24%7b%74%72%61%63%6b%73%5b%69%5d%2e%74%61%67%73%2e%74%61%67%5b%30%5d%7d%3c%2f%61%3e%3c%62%72%3e%60%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%6e%65%77%50%6f%70%75%70%41%6c%65%72%74%28%70%6f%70%75%70%74%65%78%74%29%3b%20%20%20%20%20%20%7d%3b%20%20%20%20%20%72%65%71%2e%6f%70%65%6e%28%22%67%65%74%22%2c%20%6a%73%6f%6e%55%72%6c%2c%20%74%72%75%65%29%3b%20%20%20%20%20%72%65%71%2e%77%69%74%68%43%72%65%64%65%6e%74%69%61%6c%73%20%3d%20%74%72%75%65%3b%20%20%20%20%20%72%65%71%2e%73%65%6e%64%28%29%3b%20%7d%20%76%61%72%20%64%69%76%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%63%72%65%61%74%65%45%6c%65%6d%65%6e%74%28%22%64%69%76%22%29%3b%20%64%69%76%2e%63%6c%61%73%73%4c%69%73%74%2e%61%64%64%28%22%70%6f%70%75%70%73%70%61%63%65%22%29%3b%20%64%6f%63%75%6d%65%6e%74%2e%62%6f%64%79%2e%61%70%70%65%6e%64%43%68%69%6c%64%28%64%69%76%29%3b%20%64%69%76%2e%73%74%79%6c%65%20%3d%20%60%70%6f%73%69%74%69%6f%6e%3a%20%66%69%78%65%64%3b%20%20%20%20%20%72%69%67%68%74%3a%20%30%3b%20%20%20%20%20%62%6f%74%74%6f%6d%3a%20%30%3b%20%20%20%20%20%77%69%64%74%68%3a%20%30%70%78%3b%20%20%20%20%20%68%65%69%67%68%74%3a%20%30%70%78%3b%60%3b%20%67%65%74%56%69%64%65%6f%43%75%73%74%6f%6d%49%64%28%28%6a%73%6f%6e%55%72%6c%29%20%3d%3e%20%7b%67%65%74%56%69%64%65%6f%44%69%72%65%63%74%55%72%6c%28%6a%73%6f%6e%55%72%6c%29%7d%29%3b%20%20%66%75%6e%63%74%69%6f%6e%20%6e%65%77%50%6f%70%75%70%41%6c%65%72%74%28%74%65%78%74%29%20%7b%20%20%20%20%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%43%6c%61%73%73%4e%61%6d%65%28%22%70%6f%70%75%70%73%70%61%63%65%22%29%5b%30%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%3d%20%60%20%20%20%20%20%3c%64%69%76%20%69%64%3d%22%62%6c%75%72%62%61%63%6b%67%72%6f%75%6e%64%22%20%73%74%79%6c%65%3d%22%20%20%20%20%20%20%20%20%20%62%61%63%6b%67%72%6f%75%6e%64%2d%63%6f%6c%6f%72%3a%20%72%67%62%61%28%31%30%31%2c%20%31%39%34%2c%20%32%34%38%2c%20%30%2e%35%32%37%29%3b%20%20%20%20%20%20%20%20%20%64%69%73%70%6c%61%79%3a%20%66%6c%65%78%3b%20%20%20%20%20%20%20%20%20%6a%75%73%74%69%66%79%2d%63%6f%6e%74%65%6e%74%3a%20%63%65%6e%74%65%72%3b%20%20%20%20%20%20%20%20%20%66%6c%65%78%2d%77%72%61%70%3a%20%6e%6f%77%72%61%70%3b%20%20%20%20%20%20%20%20%20%66%6c%65%78%2d%64%69%72%65%63%74%69%6f%6e%3a%20%72%6f%77%3b%20%20%20%20%20%20%20%20%20%70%6f%73%69%74%69%6f%6e%3a%20%66%69%78%65%64%3b%20%20%20%20%20%20%20%20%20%6c%65%66%74%3a%20%30%3b%20%20%20%20%20%20%20%20%20%74%6f%70%3a%20%30%3b%20%20%20%20%20%20%20%20%20%7a%2d%69%6e%64%65%78%3a%20%36%3b%20%20%20%20%20%20%20%20%20%68%65%69%67%68%74%3a%20%31%30%30%25%3b%20%20%20%20%20%20%20%20%20%77%69%64%74%68%3a%20%31%30%30%25%3b%20%20%20%20%20%20%20%20%20%22%3e%20%20%20%20%20%20%20%20%20%3c%64%69%76%20%69%64%3d%22%70%6f%70%75%70%66%6c%65%78%63%6c%6d%22%20%73%74%79%6c%65%3d%22%20%20%20%20%20%20%20%20%20%20%20%20%20%64%69%73%70%6c%61%79%3a%20%66%6c%65%78%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%6a%75%73%74%69%66%79%2d%63%6f%6e%74%65%6e%74%3a%20%63%65%6e%74%65%72%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%66%6c%65%78%2d%64%69%72%65%63%74%69%6f%6e%3a%20%63%6f%6c%75%6d%6e%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%66%6c%65%78%2d%77%72%61%70%3a%20%6e%6f%77%72%61%70%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%68%65%69%67%68%74%3a%20%31%30%30%25%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%77%69%64%74%68%3a%20%33%30%30%70%78%3b%22%20%20%20%20%20%20%20%20%20%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%64%69%76%20%69%64%3d%27%70%6f%70%75%70%27%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%73%74%79%6c%65%3d%22%77%69%64%74%68%3a%20%33%30%30%70%78%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%68%65%69%67%68%74%3a%20%66%69%74%2d%63%6f%6e%74%65%6e%74%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%6f%72%64%65%72%3a%20%32%70%78%20%73%6f%6c%69%64%20%6c%69%67%68%74%67%72%61%79%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%74%65%78%74%2d%61%6c%69%67%6e%3a%20%63%65%6e%74%65%72%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%61%63%6b%67%72%6f%75%6e%64%2d%63%6f%6c%6f%72%3a%20%77%68%69%74%65%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%63%6f%6c%6f%72%3a%20%62%6c%61%63%6b%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%70%61%64%64%69%6e%67%2d%62%6f%74%74%6f%6d%3a%20%31%30%70%78%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%6f%72%64%65%72%2d%72%61%64%69%75%73%3a%20%36%70%78%3b%22%20%20%20%20%20%20%20%20%20%20%20%20%20%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%70%3e%24%7b%74%65%78%74%7d%3c%2f%70%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%62%72%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%62%75%74%74%6f%6e%20%6f%6e%63%6c%69%63%6b%3d%22%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%43%6c%61%73%73%4e%61%6d%65%28%27%70%6f%70%75%70%73%70%61%63%65%27%29%5b%30%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%3d%20%27%27%3b%22%20%69%64%3d%22%63%6c%6f%73%65%62%74%6e%22%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%73%74%79%6c%65%3d%22%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%61%63%6b%67%72%6f%75%6e%64%2d%63%6f%6c%6f%72%3a%20%23%31%61%37%33%65%38%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%63%6f%6c%6f%72%3a%20%77%68%69%74%65%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%6f%72%64%65%72%3a%20%6e%6f%6e%65%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%62%6f%72%64%65%72%2d%72%61%64%69%75%73%3a%20%33%70%78%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%70%61%64%64%69%6e%67%3a%20%35%70%78%3b%22%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%43%4c%4f%53%45%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%2f%62%75%74%74%6f%6e%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%2f%64%69%76%3e%20%20%20%20%20%20%20%20%20%20%20%20%20%3c%2f%64%69%76%3e%20%20%20%20%20%3c%2f%64%69%76%3e%60%3b%20%7d%20%20})()
</code></pre>
<p>Will download an OpenCast video if possible.</p>
<h2 id="strava-ad-remover-v10"><a href="javascript:(function()%7B%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%43%6c%61%73%73%4e%61%6d%65%28%22%72%69%64%65%2d%73%65%67%6d%65%6e%74%73%2d%63%68%61%72%74%2d%75%70%73%65%6c%6c%22%29%5b%30%5d%2e%72%65%6d%6f%76%65%28%29%20%20%7D)()">strava ad remover v1.0</a></h2>
<pre><code>javascript:(function(){%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%43%6c%61%73%73%4e%61%6d%65%28%22%72%69%64%65%2d%73%65%67%6d%65%6e%74%73%2d%63%68%61%72%74%2d%75%70%73%65%6c%6c%22%29%5b%30%5d%2e%72%65%6d%6f%76%65%28%29%20%20})()
</code></pre>
<p>For non premium users there are annoying ads on the analysis page. This bookmarklet will simply remove that ad.</p>
<h2 id="rwth-mensa---additives-easy-view"><a href="javascript:(function()%7B%76%61%72%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%20%3d%20%22%68%74%74%70%73%3a%2f%22%2b%22%2f%77%77%77%2e%73%74%75%64%69%65%72%65%6e%64%65%6e%77%65%72%6b%2d%61%61%63%68%65%6e%2e%64%65%2f%73%70%65%69%73%65%70%6c%61%65%6e%65%2f%61%63%61%64%65%6d%69%63%61%2d%77%2e%68%74%6d%6c%22%3b%20%76%61%72%20%6d%65%6e%75%5f%73%69%74%65%5f%69%7a%20%3d%20%22%68%74%74%70%73%3a%2f%22%2b%22%2f%77%77%77%2e%73%74%75%64%69%65%72%65%6e%64%65%6e%77%65%72%6b%2d%61%61%63%68%65%6e%2e%64%65%2f%73%70%65%69%73%65%70%6c%61%65%6e%65%2f%61%68%6f%72%6e%73%74%72%61%73%73%65%2d%77%2e%68%74%6d%6c%22%3b%20%69%66%28%21%28%77%69%6e%64%6f%77%2e%6c%6f%63%61%74%69%6f%6e%2e%68%72%65%66%20%3d%3d%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%20%7c%7c%20%77%69%6e%64%6f%77%2e%6c%6f%63%61%74%69%6f%6e%2e%68%72%65%66%20%3d%3d%20%6d%65%6e%75%5f%73%69%74%65%5f%69%7a%29%29%20%7b%20%20%20%20%20%77%69%6e%64%6f%77%2e%6c%6f%63%61%74%69%6f%6e%2e%68%72%65%66%20%3d%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%3b%20%7d%20%20%76%61%72%20%68%32%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%22%68%32%22%29%5b%30%5d%3b%20%69%66%20%28%77%69%6e%64%6f%77%2e%6c%6f%63%61%74%69%6f%6e%2e%68%72%65%66%20%3d%3d%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%29%20%7b%20%20%20%20%20%68%32%2e%69%6e%6e%65%72%48%54%4d%4c%20%2b%3d%20%22%3c%61%20%68%72%65%66%3d%27%22%20%2b%20%6d%65%6e%75%5f%73%69%74%65%5f%69%7a%20%2b%20%22%27%3e%20%68%69%65%72%20%7a%75%72%20%49%5a%20%4d%65%6e%73%61%3c%2f%61%3e%22%20%7d%20%65%6c%73%65%20%7b%20%20%20%20%20%68%32%2e%69%6e%6e%65%72%48%54%4d%4c%20%2b%3d%20%22%3c%61%20%68%72%65%66%3d%27%22%20%2b%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%20%2b%20%22%27%3e%20%68%69%65%72%20%7a%75%72%20%41%43%41%20%4d%65%6e%73%61%3c%2f%61%3e%22%20%7d%20%20%67%65%74%41%64%64%69%74%69%76%65%73%4c%69%73%74%20%3d%20%66%75%6e%63%74%69%6f%6e%28%29%20%7b%20%20%20%20%20%20%64%69%76%73%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%22%64%69%76%22%29%3b%20%20%20%20%20%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%64%69%76%73%2e%6c%65%6e%67%74%68%20%2b%20%22%20%64%69%76%73%20%66%6f%75%6e%64%22%29%3b%20%20%20%20%20%20%76%61%72%20%61%64%64%69%74%69%76%65%73%20%3d%20%6e%75%6c%6c%3b%20%20%20%20%20%66%6f%72%20%28%76%61%72%20%69%20%3d%20%30%3b%20%69%20%3c%20%64%69%76%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%69%66%28%64%69%76%73%5b%69%5d%2e%69%64%20%3d%3d%20%22%61%64%64%69%74%69%76%65%73%22%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%20%3d%20%64%69%76%73%5b%69%5d%2e%63%68%69%6c%64%72%65%6e%5b%30%5d%2e%69%6e%6e%65%72%48%54%4d%4c%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%22%61%64%64%69%74%69%76%65%73%20%66%6f%75%6e%64%22%29%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%7d%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%20%3d%20%61%64%64%69%74%69%76%65%73%2e%73%70%6c%69%74%28%22%2c%22%29%2e%6a%6f%69%6e%28%22%22%29%3b%20%20%20%20%20%61%64%64%69%74%69%76%65%73%20%3d%20%61%64%64%69%74%69%76%65%73%2e%73%75%62%73%74%72%69%6e%67%28%34%29%3b%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%20%3d%20%61%64%64%69%74%69%76%65%73%2e%73%70%6c%69%74%28%22%20%22%29%3b%20%20%20%20%20%20%72%65%74%75%72%6e%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%3b%20%7d%3b%20%20%76%61%72%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%20%3d%20%67%65%74%41%64%64%69%74%69%76%65%73%4c%69%73%74%28%29%3b%20%76%61%72%20%61%64%64%69%74%69%76%65%73%5f%64%69%63%74%20%3d%20%7b%7d%3b%20%20%76%61%72%20%6b%65%79%20%3d%20%6e%75%6c%6c%3b%20%76%61%72%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%3d%20%22%22%3b%20%20%66%6f%72%20%28%76%61%72%20%69%20%3d%20%30%3b%20%69%20%3c%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%76%61%72%20%77%6f%72%64%20%3d%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%5b%69%5d%3b%20%20%20%20%20%69%66%28%77%6f%72%64%5b%30%5d%20%3d%3d%20%22%28%22%20%26%26%20%77%6f%72%64%5b%77%6f%72%64%2e%6c%65%6e%67%74%68%20%2d%20%31%5d%20%3d%3d%20%22%29%22%29%20%7b%20%20%20%20%20%20%20%20%20%2f%2a%20%69%74%20%69%73%20%61%20%6b%65%79%2a%2f%20%20%20%20%20%20%20%20%20%69%66%20%28%6b%65%79%20%21%3d%20%6e%75%6c%6c%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%64%69%63%74%5b%6b%65%79%5d%20%3d%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%3d%20%22%22%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%6b%65%79%20%3d%20%77%6f%72%64%2e%73%75%62%73%74%72%69%6e%67%28%31%2c%20%77%6f%72%64%2e%6c%65%6e%67%74%68%20%2d%20%31%29%20%20%20%20%20%7d%20%65%6c%73%65%20%7b%20%20%20%20%20%20%20%20%20%2f%2a%69%74%20%69%73%20%61%6e%20%61%64%64%69%74%69%76%65%2a%2f%20%20%20%20%20%20%20%20%20%69%66%20%28%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%21%3d%20%22%22%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%2b%3d%20%22%20%22%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%2b%3d%20%77%6f%72%64%3b%20%20%20%20%20%7d%20%7d%20%61%64%64%69%74%69%76%65%73%5f%64%69%63%74%5b%6b%65%79%5d%20%3d%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%3b%20%20%76%61%72%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%22%73%75%70%22%29%3b%20%66%6f%72%20%28%76%61%72%20%6a%20%3d%20%30%3b%20%6a%20%3c%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%2e%6c%65%6e%67%74%68%3b%20%6a%2b%2b%29%20%7b%20%20%20%20%20%20%76%61%72%20%61%64%64%69%74%69%76%65%73%5f%69%6e%5f%66%69%65%6c%64%20%3d%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%5b%6a%5d%2e%69%6e%6e%65%72%48%54%4d%4c%2e%73%70%6c%69%74%28%22%20%22%29%2e%6a%6f%69%6e%28%22%22%29%2e%73%70%6c%69%74%28%22%2c%22%29%3b%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%5b%6a%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%3d%20%22%22%3b%20%20%20%20%20%20%66%6f%72%20%28%76%61%72%20%69%20%3d%20%30%3b%20%69%20%3c%20%61%64%64%69%74%69%76%65%73%5f%69%6e%5f%66%69%65%6c%64%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%69%66%20%28%69%20%3e%20%30%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%5b%6a%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%2b%3d%20%22%2c%20%22%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%5b%6a%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%2b%3d%20%61%64%64%69%74%69%76%65%73%5f%64%69%63%74%5b%61%64%64%69%74%69%76%65%73%5f%69%6e%5f%66%69%65%6c%64%5b%69%5d%5d%3b%20%20%20%20%20%7d%20%20%20%20%20%7d%7D)()">RWTH Mensa - Additives Easy View</a></h2>
<pre><code>javascript:(function(){%76%61%72%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%20%3d%20%22%68%74%74%70%73%3a%2f%22%2b%22%2f%77%77%77%2e%73%74%75%64%69%65%72%65%6e%64%65%6e%77%65%72%6b%2d%61%61%63%68%65%6e%2e%64%65%2f%73%70%65%69%73%65%70%6c%61%65%6e%65%2f%61%63%61%64%65%6d%69%63%61%2d%77%2e%68%74%6d%6c%22%3b%20%76%61%72%20%6d%65%6e%75%5f%73%69%74%65%5f%69%7a%20%3d%20%22%68%74%74%70%73%3a%2f%22%2b%22%2f%77%77%77%2e%73%74%75%64%69%65%72%65%6e%64%65%6e%77%65%72%6b%2d%61%61%63%68%65%6e%2e%64%65%2f%73%70%65%69%73%65%70%6c%61%65%6e%65%2f%61%68%6f%72%6e%73%74%72%61%73%73%65%2d%77%2e%68%74%6d%6c%22%3b%20%69%66%28%21%28%77%69%6e%64%6f%77%2e%6c%6f%63%61%74%69%6f%6e%2e%68%72%65%66%20%3d%3d%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%20%7c%7c%20%77%69%6e%64%6f%77%2e%6c%6f%63%61%74%69%6f%6e%2e%68%72%65%66%20%3d%3d%20%6d%65%6e%75%5f%73%69%74%65%5f%69%7a%29%29%20%7b%20%20%20%20%20%77%69%6e%64%6f%77%2e%6c%6f%63%61%74%69%6f%6e%2e%68%72%65%66%20%3d%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%3b%20%7d%20%20%76%61%72%20%68%32%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%22%68%32%22%29%5b%30%5d%3b%20%69%66%20%28%77%69%6e%64%6f%77%2e%6c%6f%63%61%74%69%6f%6e%2e%68%72%65%66%20%3d%3d%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%29%20%7b%20%20%20%20%20%68%32%2e%69%6e%6e%65%72%48%54%4d%4c%20%2b%3d%20%22%3c%61%20%68%72%65%66%3d%27%22%20%2b%20%6d%65%6e%75%5f%73%69%74%65%5f%69%7a%20%2b%20%22%27%3e%20%68%69%65%72%20%7a%75%72%20%49%5a%20%4d%65%6e%73%61%3c%2f%61%3e%22%20%7d%20%65%6c%73%65%20%7b%20%20%20%20%20%68%32%2e%69%6e%6e%65%72%48%54%4d%4c%20%2b%3d%20%22%3c%61%20%68%72%65%66%3d%27%22%20%2b%20%6d%65%6e%75%5f%73%69%74%65%5f%61%63%61%20%2b%20%22%27%3e%20%68%69%65%72%20%7a%75%72%20%41%43%41%20%4d%65%6e%73%61%3c%2f%61%3e%22%20%7d%20%20%67%65%74%41%64%64%69%74%69%76%65%73%4c%69%73%74%20%3d%20%66%75%6e%63%74%69%6f%6e%28%29%20%7b%20%20%20%20%20%20%64%69%76%73%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%22%64%69%76%22%29%3b%20%20%20%20%20%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%64%69%76%73%2e%6c%65%6e%67%74%68%20%2b%20%22%20%64%69%76%73%20%66%6f%75%6e%64%22%29%3b%20%20%20%20%20%20%76%61%72%20%61%64%64%69%74%69%76%65%73%20%3d%20%6e%75%6c%6c%3b%20%20%20%20%20%66%6f%72%20%28%76%61%72%20%69%20%3d%20%30%3b%20%69%20%3c%20%64%69%76%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%69%66%28%64%69%76%73%5b%69%5d%2e%69%64%20%3d%3d%20%22%61%64%64%69%74%69%76%65%73%22%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%20%3d%20%64%69%76%73%5b%69%5d%2e%63%68%69%6c%64%72%65%6e%5b%30%5d%2e%69%6e%6e%65%72%48%54%4d%4c%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%63%6f%6e%73%6f%6c%65%2e%6c%6f%67%28%22%61%64%64%69%74%69%76%65%73%20%66%6f%75%6e%64%22%29%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%7d%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%20%3d%20%61%64%64%69%74%69%76%65%73%2e%73%70%6c%69%74%28%22%2c%22%29%2e%6a%6f%69%6e%28%22%22%29%3b%20%20%20%20%20%61%64%64%69%74%69%76%65%73%20%3d%20%61%64%64%69%74%69%76%65%73%2e%73%75%62%73%74%72%69%6e%67%28%34%29%3b%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%20%3d%20%61%64%64%69%74%69%76%65%73%2e%73%70%6c%69%74%28%22%20%22%29%3b%20%20%20%20%20%20%72%65%74%75%72%6e%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%3b%20%7d%3b%20%20%76%61%72%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%20%3d%20%67%65%74%41%64%64%69%74%69%76%65%73%4c%69%73%74%28%29%3b%20%76%61%72%20%61%64%64%69%74%69%76%65%73%5f%64%69%63%74%20%3d%20%7b%7d%3b%20%20%76%61%72%20%6b%65%79%20%3d%20%6e%75%6c%6c%3b%20%76%61%72%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%3d%20%22%22%3b%20%20%66%6f%72%20%28%76%61%72%20%69%20%3d%20%30%3b%20%69%20%3c%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%76%61%72%20%77%6f%72%64%20%3d%20%61%64%64%69%74%69%76%65%73%5f%77%6f%72%64%73%5b%69%5d%3b%20%20%20%20%20%69%66%28%77%6f%72%64%5b%30%5d%20%3d%3d%20%22%28%22%20%26%26%20%77%6f%72%64%5b%77%6f%72%64%2e%6c%65%6e%67%74%68%20%2d%20%31%5d%20%3d%3d%20%22%29%22%29%20%7b%20%20%20%20%20%20%20%20%20%2f%2a%20%69%74%20%69%73%20%61%20%6b%65%79%2a%2f%20%20%20%20%20%20%20%20%20%69%66%20%28%6b%65%79%20%21%3d%20%6e%75%6c%6c%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%64%69%63%74%5b%6b%65%79%5d%20%3d%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%3b%20%20%20%20%20%20%20%20%20%20%20%20%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%3d%20%22%22%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%6b%65%79%20%3d%20%77%6f%72%64%2e%73%75%62%73%74%72%69%6e%67%28%31%2c%20%77%6f%72%64%2e%6c%65%6e%67%74%68%20%2d%20%31%29%20%20%20%20%20%7d%20%65%6c%73%65%20%7b%20%20%20%20%20%20%20%20%20%2f%2a%69%74%20%69%73%20%61%6e%20%61%64%64%69%74%69%76%65%2a%2f%20%20%20%20%20%20%20%20%20%69%66%20%28%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%21%3d%20%22%22%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%2b%3d%20%22%20%22%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%20%2b%3d%20%77%6f%72%64%3b%20%20%20%20%20%7d%20%7d%20%61%64%64%69%74%69%76%65%73%5f%64%69%63%74%5b%6b%65%79%5d%20%3d%20%63%75%72%72%65%6e%74%5f%61%64%64%69%74%69%76%65%3b%20%20%76%61%72%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%20%3d%20%64%6f%63%75%6d%65%6e%74%2e%67%65%74%45%6c%65%6d%65%6e%74%73%42%79%54%61%67%4e%61%6d%65%28%22%73%75%70%22%29%3b%20%66%6f%72%20%28%76%61%72%20%6a%20%3d%20%30%3b%20%6a%20%3c%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%2e%6c%65%6e%67%74%68%3b%20%6a%2b%2b%29%20%7b%20%20%20%20%20%20%76%61%72%20%61%64%64%69%74%69%76%65%73%5f%69%6e%5f%66%69%65%6c%64%20%3d%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%5b%6a%5d%2e%69%6e%6e%65%72%48%54%4d%4c%2e%73%70%6c%69%74%28%22%20%22%29%2e%6a%6f%69%6e%28%22%22%29%2e%73%70%6c%69%74%28%22%2c%22%29%3b%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%5b%6a%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%3d%20%22%22%3b%20%20%20%20%20%20%66%6f%72%20%28%76%61%72%20%69%20%3d%20%30%3b%20%69%20%3c%20%61%64%64%69%74%69%76%65%73%5f%69%6e%5f%66%69%65%6c%64%2e%6c%65%6e%67%74%68%3b%20%69%2b%2b%29%20%7b%20%20%20%20%20%20%20%20%20%69%66%20%28%69%20%3e%20%30%29%20%7b%20%20%20%20%20%20%20%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%5b%6a%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%2b%3d%20%22%2c%20%22%3b%20%20%20%20%20%20%20%20%20%7d%20%20%20%20%20%20%20%20%20%61%64%64%69%74%69%76%65%73%5f%66%69%65%6c%64%73%5b%6a%5d%2e%69%6e%6e%65%72%48%54%4d%4c%20%2b%3d%20%61%64%64%69%74%69%76%65%73%5f%64%69%63%74%5b%61%64%64%69%74%69%76%65%73%5f%69%6e%5f%66%69%65%6c%64%5b%69%5d%5d%3b%20%20%20%20%20%7d%20%20%20%20%20%7d})()
</code></pre>
<p>This will show the relevant additives in the Menu instead of down below.</p>
